cls
echo off
echo Ŀ
echo                 HotNotes! Version 2.3                    
echo                Shareware - Installation                  
echo               Silicon Roots! Associates                  
echo Ĵ
echo  SYNTAX: to install HotNotes! to drive C:\PAF from A:    
echo             A:  (return)        to change to drive A:    
echo             INSTALL A: C:       to install to c:\paf     
echo Ĵ
echo  MANUAL INSTALLATION:  Copy the file HN23PACK.EXE to     
echo  your hard disk under the '\PAF' subdirectory.  Change   
echo  to that subdirectory.  Enter 'HN23PACK' to unpack files.
echo  Type DEL HN23PACK.EXE to erase the unpacking program.   
echo 
echo .

if NOT EXIST %2\paf\gie.exe goto bogus
if NOT EXIST %1\hn23pack.exe goto bogus

echo ..Removing old HotNotes! Version 1 files, if any...
echo   (Your old Tag file is preserved.)
echo .

if NOT EXIST %2\paf\hn.tag if EXIST %2\paf\tag.dat ren %2\paf\tag.dat hn.tag

if EXIST %2\paf\hotstart.exe del %2\paf\hotstart.exe
if EXIST %2\paf\docguid2.txt del %2\paf\docguid2.txt
if EXIST %2\paf\hb.bat del %2\paf\hb.bat
if EXIST %2\paf\hn.bat del %2\paf\hn.bat
if EXIST %2\paf\hotnotes.doc del %2\paf\hotnotes.doc
if EXIST %2\paf\hotnotes.exe del %2\paf\hotnotes.exe
if EXIST %2\paf\hotread.me del %2\paf\hotread.me
if EXIST %2\paf\hs.bat del %2\paf\hs.bat
if EXIST %2\paf\install.bat del %2\paf\install.bat
if EXIST %2\paf\register.bat del %2\paf\register.bat
if EXIST %2\paf\register.frm del %2\paf\register.frm

echo ..Removing HotNotes! Version 2 or 3 files, if any...
echo   (All tag, source and macro files are preserved.)
echo .

if EXIST %2\paf\hn.exe del %2\paf\hn.exe
if EXIST %2\paf\hn.hlp del %2\paf\hn.hlp
if EXIST %2\paf\hn.doc del %2\paf\hn.doc
if EXIST %2\paf\hndemo.doc del %2\paf\hndemo.doc
if EXIST %2\paf\hn.reg del %2\paf\hn.reg
if EXIST %2\paf\hnorder.frm del %2\paf\hnorder.frm
if EXIST %2\paf\hnread.me del %2\paf\hnread.me
if EXIST %2\paf\demoread.me del %2\paf\demoread.me
if EXIST %2\paf\docguide.doc del %2\paf\docguide.doc
if EXIST %2\paf\hnbackup.bat del %2\paf\hnbackup.bat
if EXIST %2\paf\hnrestor.bat del %2\paf\hnrestor.bat
if EXIST %2\paf\source.src del %2\paf\source.src
if EXIST %2\paf\view.exe del %2\paf\view.exe
if EXIST %2\paf\view.com del %2\paf\view.com
if EXIST %2\paf\hotnotes.adv del %2\paf\hotnotes.adv
if EXIST %2\paf\pafsplit.adv del %2\paf\pafsplit.adv
if EXIST %2\paf\supermrg.adv del %2\paf\supermrg.adv
if EXIST %2\paf\hnu.exe del %2\paf\hnu.exe
if EXIST %2\paf\hn.set del %2\paf\hn.set
if EXIST %2\paf\laserpaf.adv del %2\paf\laserpaf.adv
if EXIST %2\paf\hnremove.bat del %2\paf\hnremove.bat

echo ..Copying HotNotes! Version 2.3 Shareware files to %2\PAF...
echo .

copy %1hn23pack.exe %2\paf
if NOT EXIST %2\paf\hn23pack.exe goto bogus1

echo Unpacking HotNotes! 2.3 files...
%2
cd \paf
hn23pack

if EXIST %2\paf\hn23pack.exe del %2\paf\hn23pack.exe 

if NOT EXIST %2\paf\hn.exe goto bogus1
if NOT EXIST %2\paf\hn.doc goto bogus1
if NOT EXIST %2\paf\hn.hlp goto bogus1
if NOT EXIST %2\paf\hnread.me goto bogus1
if NOT EXIST %2\paf\source.src goto bogus1
if NOT EXIST %2\paf\docguide.doc goto bogus1
if NOT EXIST %2\paf\hn.reg goto bogus1
if NOT EXIST %2\paf\hotnotes.adv goto bogus1
if NOT EXIST %2\paf\view.exe goto bogus1
if NOT EXIST %2\paf\laserpaf.adv goto bogus1
if NOT EXIST %2\paf\pafsplit.adv goto bogus1
if NOT EXIST %2\paf\supermrg.adv goto bogus1
if NOT EXIST %2\paf\hnremove.bat goto bogus1


:pt30
if EXIST %2\paf\hn.src goto pt50
echo Copying HotNotes! Samples into HN.SRC default Source database ...
copy %2\paf\source.src %2\paf\hn.src
if NOT EXIST %2\paf\hn.src goto bogus1
:pt50

echo Ŀ
echo            HotNotes! installed SUCCESSFULLY         
echo Ĵ
echo    To Start HotNotes!, enter at DOS prompt:         
echo            cd \paf - PAF directory (optional)       
echo            hn      - to start HotNotes!             
echo    For command line use help, type:                 
echo            hn /?   - for initial HELP               
echo            Alt-N   - for HELP within HotNotes!      
echo Ĵ
echo  ** Press a key to VIEW HotNotes! Documentation **  
echo 

pause
%2
cd \paf
view

echo .
echo ..Launching HotNotes!...
echo .
pause
hn
goto exit


:bogus1
echo .
echo !! ERROR !!Ŀ
echo HotNotes! Installation has run into an ERROR. 
echo You may be out of disk space on your PAF      
echo disk drive.  Remove files from your disk so   
echo you have at least 512k of free space.         
echo 
goto exit

:bogus
echo !! ERROR !!Ŀ
echo  Install cannot find files correctly.  Be sure   
echo  you have specified both source and destination  
echo  drives.  For example, to install HotNotes! from 
echo  diskette A to C:\paf, type INSTALL A: C:, making
echo  sure you leave spaces between INSTALL, A: and C:
echo 

:exit





